#
# spec file for package rubygem-actionmailer-4_2
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-actionmailer-4_2
Version:        4.2.11
Release:        lp151.31.2
%define mod_name actionmailer
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -4_2
# MANUAL
%if 0%{?suse_version} == 1110
%define rb_build_versions ruby21
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://www.rubyonrails.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Email composition, delivery, and receiving framework (part of Rails)
License:        MIT
Group:          Development/Languages/Ruby

%description
Email on Rails. Compose, deliver, receive, and test emails using the familiar
controller/view pattern. First-class support for multipart email and
attachments.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Sat Dec  8 2018 Stephan Kulow <coolo@suse.com>
- updated to version 4.2.11
  see installed CHANGELOG.md
  [#]# Rails 4.2.11 (November 27, 2018) ##
  * No changes.
* Wed Oct 11 2017 coolo@suse.com
- updated to version 4.2.10
  see installed CHANGELOG.md
  [#]# Rails 4.2.10 (September 27, 2017) ##
  * No changes.
* Thu Aug  3 2017 coolo@suse.com
- updated to version 4.2.9
  see installed CHANGELOG.md
  [#]# Rails 4.2.9 (June 26, 2017) ##
  * No changes.
* Wed Feb 22 2017 coolo@suse.com
- updated to version 4.2.8
  see installed CHANGELOG.md
  [#]# Rails 4.2.8 (February 21, 2017) ##
  * No changes.
* Fri Aug 12 2016 coolo@suse.com
- updated to version 4.2.7.1
  see installed CHANGELOG.md
* Wed Jul 13 2016 coolo@suse.com
- updated to version 4.2.7
  see installed CHANGELOG.md
  [#]# Rails 4.2.7 (July 12, 2016) ##
  * Removes `-t` from default Sendmail arguments to match the underlying
    `Mail::Sendmail` setting.
  * Clayton Liggitt*
* Tue Mar  8 2016 coolo@suse.com
- updated to version 4.2.6
  see installed CHANGELOG.md
  [#]# Rails 4.2.6 (March 07, 2016) ##
  * No changes.
* Tue Mar  1 2016 coolo@suse.com
- updated to version 4.2.5.2
  see installed CHANGELOG.md
  [#]# Rails 4.2.5.2 (February 26, 2016) ##
  * No changes.
  [#]# Rails 4.2.5.1 (January 25, 2015) ##
  * No changes.
* Tue Jan 26 2016 coolo@suse.com
- updated to version 4.2.5.1
  see installed CHANGELOG.md
* Sat Nov 14 2015 coolo@suse.com
- updated to version 4.2.5
  see installed CHANGELOG.md
  [#]# Rails 4.2.5 (November 12, 2015) ##
  * No changes.
* Tue Aug 25 2015 coolo@suse.com
- updated to version 4.2.4
  see installed CHANGELOG.md
  [#]# Rails 4.2.4 (August 24, 2015) ##
  * No Changes *
* Fri Jun 26 2015 coolo@suse.com
- updated to version 4.2.3
  see installed CHANGELOG.md
  [#]# Rails 4.2.3 (June 25, 2015) ##
  * `assert_emails` in block form use the given number as expected value.
    This makes the error message much easier to understand.
  * Yuji Yaginuma*
  * Mailer preview now uses `url_for` to fix links to emails for apps running on
    a subdirectory.
  * Remo Mueller*
  * Mailer previews no longer crash when the `mail` method wasn't called
    (`NullMail`).
    Fixes #19849.
  * Yves Senn*
  * Make sure labels and values line up in mailer previews.
  * Yves Senn*
* Wed Jun 17 2015 coolo@suse.com
- updated to version 4.2.2
  see installed CHANGELOG.md
  [#]# Rails 4.2.2 (June 16, 2015) ##
  * No Changes *
* Fri Mar 20 2015 coolo@suse.com
- updated to version 4.2.1, no changes
* Wed Jan 28 2015 adrian@suse.de
- update to version 4.2.0
* Mon Jan 19 2015 dmueller@suse.com
- update to 4.1.9:
  * Attachments can be added while rendering the mail template.
* Mon Nov 10 2014 tboerger@suse.com
- To get rails 4 running on SLE 11 i have switched the
  rb_build_versions definition to rub21 as it is activated within
  devel:languages:ruby. That way we can get running rails 4 on
  SLE 11 too.
* Tue Oct 14 2014 coolo@suse.com
- updated to version 4.1.6
  * Make ActionMailer::Previews methods class methods. Previously they were
    instance methods and ActionMailer tries to render a message when they
    are called.
  * Cristian Bica*
  * Raise an exception when attachments are added after `mail` was called.
    This is a safeguard to prevent invalid emails.
    Fixes #16163.
  * Allow preview interceptors to be registered through
    `config.action_mailer.preview_interceptors`.
    See #15739.
* Wed Jul 23 2014 mrueckert@suse.com
- - initial package
